      SUBROUTINE CHERCHE_MINMAX (XYZ,NUMNP)
C
      REAL*4 XYZ(3,*)
C
      COMMON / MIMMAX / XMIN,XMAX,YMIN,YMAX,ZMIN,ZMAX
C
      XMIN =  1.E30
      XMAX = -1.E30
      YMIN =  1.E30
      YMAX = -1.E30
      ZMIN =  1.E30
      ZMAX = -1.E30
C
      DO 10 I=1,NUMNP
        XMIN = AMIN1 ( XMIN , XYZ(1,I) )
        XMAX = AMAX1 ( XMAX , XYZ(1,I) )
        YMIN = AMIN1 ( YMIN , XYZ(2,I) )
        YMAX = AMAX1 ( YMAX , XYZ(2,I) )
        ZMIN = AMIN1 ( ZMIN , XYZ(3,I) )
        ZMAX = AMAX1 ( ZMAX , XYZ(3,I) )
   10 CONTINUE
      END
